TurboFisch
Level 7

why doesn't Visual studio 2015 prerequisites show up?

why doesn't Visual studio 2015 prerequisites show up? I thought that this would be in by default on IS 2015.
Labels (1)
0 Kudos
4 Replies
TurboFisch
Level 7

According to the SP 1 release notes:

New InstallShield Prerequisites for Microsoft Visual C++ 2015 and .NET Framework 4.6

InstallShield includes new InstallShield prerequisites that you can add to Advanced UI, Basic MSI, InstallScript, InstallScript MSI, and Suite/Advanced UI projects:
•Microsoft Visual C++ 2015 Redistributable Package (x86)
•Microsoft Visual C++ 2015 Redistributable Package (x64)
•Microsoft .NET Framework 4.6 Full
•Microsoft .NET Framework 4.6 Web

These prerequisites install the appropriate technologies on supported target systems.


But they don't show up in my redistributable. The only this that the redistributable downloader shows are the language packs that I don't care about. So HOW to I get these updated?
0 Kudos
chad_petersen
Level 9

I opened my InstallShield 2015 and went to Redistributables and I see all of those that you mention. I have installed their SP1 on top of 2015 so not sure if that makes a difference or not, but I think if you are on 2015 they would recommend SP1 anyway. But, it looks correct here to me.

Chad
0 Kudos
JSClark
Level 6

As a check I started with a clean VM and did a fresh install of
InstallShield2015SP1PremierComp.exe
And all the Prerequisite .prq files are present.

First, check to see if any or all .prq files are in your InstallShield folder:
C:\Program Files (x86)\InstallShield\2015\SetupPrerequisites

Next check in your InstallShield IDE:
Tools > Options > Prerequisites tab
The path to your “Prerequisite File Locations” is correct
0 Kudos
TurboFisch
Level 7

Apparently, it was added or updated in Service pack 1.
0 Kudos